# Interface methods for submodule: SpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: SpatialObjectPoint
class SpatialObjectPointProxy():
	def GetNameOfClass(self):
		""""""
		...

	def SetId(self, id: int) -> None:
		""""""
		...

	def GetId(self) -> int:
		""""""
		...

	def SetPositionInObjectSpace(self, newPositionInObjectSpace: Sequence[float]) -> None:
		""""""
		...

	def GetPositionInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetSpatialObject(self, so) -> None:
		""""""
		...

	def GetSpatialObject(self):
		""""""
		...

	def SetPositionInWorldSpace(self, point: Sequence[float]) -> None:
		""""""
		...

	def GetPositionInWorldSpace(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetColor(self, color: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetColor(self, r: float, g: float, b: float, a: float = 1) -> None:
		""""""
		...

	def GetColor(self) -> Tuple[int, int, int, int]:
		""""""
		...

	def SetRed(self, r: float) -> None:
		""""""
		...

	def GetRed(self) -> float:
		""""""
		...

	def SetGreen(self, g: float) -> None:
		""""""
		...

	def GetGreen(self) -> float:
		""""""
		...

	def SetBlue(self, b: float) -> None:
		""""""
		...

	def GetBlue(self) -> float:
		""""""
		...

	def SetAlpha(self, a: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetTagScalarValue(self, tag: str, value: float) -> None:
		""""""
		...

	@overload
	def GetTagScalarValue(self, tag: str, value: float) -> bool:
		""""""
		...

	@overload
	def GetTagScalarValue(self, tag: str) -> float:
		""""""
		...

	def GetTagScalarDictionary(self):
		""""""
		...

	def SetTagScalarDictionary(self, dict) -> None:
		""""""
		...

	def Print(self, os) -> None:
		""""""
		...

